/* Author:
 *  Tilman Krauß
 * 
 * Description:
 *  This file is necessary to use the random variates of the libphprng-library.
 *  Since it is sufficient to implement the RandomSourcewrapper, this is the
 *  only class we need.
 *
 */

#include <ns3/random-variable.h>
#include "ns3/RandomSourceWrapper.h"
#include "ns3/ns3-randomwrapper.h"
#include "ns3-randomwrapper.h"


using namespace ns3;


RandomWrapper::RandomWrapper()
{
}
RandomWrapper::~RandomWrapper()
{
}

/*  Since uniSource.GetValue delivers a uniform distributed random variable
 *  in [0,1), we don't have to modify anything but adapt the function. 
 *
 */
double
RandomWrapper::uni()
{
    return this->uniSource.GetValue();
}




